<?php

namespace Faker\Provider;

require_once('vendor/autoload.php');

class AccountPayment extends \Faker\Provider\Payment
{
  public function cardDetails()
  {
      $ccNumber = $this->creditCardNumber();
      $ccLastFour = substr($ccNumber, -4);
      return sprintf(
          "%s %s", 
          $this->creditCardType(),
          str_pad($ccLastFour, strlen($ccNumber-4), '*', STR_PAD_LEFT)
      );
  }
}